
Redmine - Defect #8642

Cannot add Git repository to project

2011-06-17 15:57 - Joris de Vries

Status: Closed Start date: 2011-06-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.0

Description

I'm trying to add a Git repository to a project, but getting an error.

Versions

Redmine version: 1.2.0

$ RAILS_ENV=production ruby script/about

About your application's environment

Ruby version              1.8.7 (universal-darwin10.0)

RubyGems version          1.3.5

Rack version              1.1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Edge Rails revision       unknown

Application root          /Volumes/Data/ServiceData/Web/redmine.subdomain.domain.org

Environment               production

Database adapter          mysql

Database schema version   20110511000000

About your Redmine plugins

SCM Creator   0.1.1

 
$ git --version

git version 1.7.3.4

 

The error

It seems to be working just a short while and then just gives up. This is in my logs:

Processing RepositoriesController#edit (for $myip at 2011-06-17 15:37:08) [POST]

  Parameters: {"repository"=>{"path_encoding"=>"", "url"=>"/path/to/my/git/repositories/testing", 

"extra_report_last_commit"=>"0"}, "commit"=>"Create", "action"=>"edit", "authenticity_token"=>"G4Y

Ji2d8ukwV9S/GyS7x17nX6rVtm/Ey9f0b9ABKa+Q=", "id"=>"testing", "controller"=>"repositories", "reposi

tory_scm"=>"Git"}

ActiveRecord::UnknownAttributeError (unknown attribute: extra_report_last_commit):

  passenger (3.0.7) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

  passenger (3.0.7) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_n

ext_request'

  passenger (3.0.7) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_reque

st_handler'

  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spaw

n_application'
  passenger (3.0.7) lib/phusion_passenger/utils.rb:479:in `safe_fork'

  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spaw

n_application'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:180:in `start'

  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

  passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

  passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

  passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.7) helper-scripts/passenger-spawn-server:99

Rendering /Volumes/Data/ServiceData/Web/redmine.kantoor.itnextapps.com/public/500.html (500 Intern

al Server Error)

The error page doesn't get served, by the way, it doesn't exist and I think it is because I host redmine behind an Apache vhost.

History

#1 - 2011-06-17 16:18 - Etienne Massip

- Category set to SCM

#2 - 2011-06-17 16:49 - Joris de Vries

I don't  know if the category should be SCM per se, it seems to me there is nothing wrong with the actual integration with git, just that adding

repositories to the DB doesn't somehow work.

#3 - 2011-06-17 17:08 - Toshi MARUYAMA

Did you run "rake db:migrate"?

#4 - 2011-06-17 17:13 - Toshi MARUYAMA

Toshi MARUYAMA wrote:

Did you run "rake db:migrate"?

 
Database schema version   20110511000000

 You did.

Could you try without SCM Creator 0.1.1?

#5 - 2011-06-17 17:25 - Joris de Vries

Yes, that worked.

1. deleted $redmine/vendor/plugins/redmine_scm (the directory of the plugin)

2. ran sudo rake db:migrate:plugins RAILS_ENV=production

#6 - 2011-06-17 17:26 - Joris de Vries

- Status changed from New to Resolved

So I can change this to resolved, I guess.

#7 - 2011-06-17 17:32 - Joris de Vries

Drat I keep forgetting things I should include in my comments.

Of course I also restarted it via the Passenger prefpane.
#8 - 2011-06-17 17:46 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid

#9 - 2011-07-10 11:32 - Bernd Vogt

Have the same problem, too.

Raised SCM creator Issue: http://projects.andriylesyuk.com/issues/1800

#10 - 2011-10-17 11:24 - James Ang

- Status changed from Closed to Reopened

The same issue still happens even with the plugin removed.

This is my environment

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1.2

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Application root          /usr/local/lib/redmine

Environment               production

Database adapter          mysql

Database schema version   20110511000000

About your Redmine plugins

Users XLS import/export                0.0.2

Redmine Better Gantt Chart plugin      0.5.3

Redmine Application Menu Adds plugin   1.4.0

Thanks in adv.

James

#11 - 2011-10-17 11:34 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Check your log.
